### Method

# Gimp Config deserialize_properties

since: 2.4

#### Declaration [src]

    gboolean
    gimp_config_deserialize_properties (
      GimpConfig* config,
      GScanner* scanner,
      gint nest_level
    )

#### Description [src]

This function uses the `scanner` to configure the properties of `config`.

Available since: 2.4

#### Parameters

`scanner`

  Type: `GScanner`

  A `GScanner`.

  The data is owned by the caller of the method.

`nest_level`

  Type: `gint`

  The nest level.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` otherwise.